Skip to navigation

Get an agent task

Beta
Get an agent task

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

task_idstringRequired

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Response

Task status and contents
chatIdstring
contentlist of objects
statusenum
Current task status.
Allowed values:
taskIdstring
agentenumOptional

Present when the task was created with an explicit legacy agent. Omitted for the default unified-agent path.

Allowed values:
artifactslist of objectsOptional
Generated image files represented by file blocks in a completed agent response. Omitted while the task is in progress or when the response has no available generated images. Files that are missing or unavailable because of antivirus scanning are omitted.

Errors

400
Agent Task Get Request Bad Request Error
403
Agent Task Get Request Forbidden Error
404
Agent Task Get Request Not Found Error
429
Agent Task Get Request Too Many Requests Error
500
Agent Task Get Request Internal Server Error